<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('riga_ordine_has_variante', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('riga_ordine_id')->unsigned()->nullable();
            $table->foreign('riga_ordine_id')->references('id')->on('riga_ordine')->onDelete('cascade');
            $table->bigInteger('variante_id')->unsigned()->nullable();
            $table->foreign('variante_id')->references('id')->on('variante_piatto')->onDelete('cascade');
            $table->string('nota')->nullable();
            $table->timestamps();

            $table->unique(['riga_ordine_id', 'variante_id']);
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('riga_ordine_has_variante');
    }
};
